gnutls_pcert_export_x509(3)

NAME
gnutls_pcert_export_x509 - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_pcert_export_x509(gnutls_pcert_st * pcert, gnutls_x509_crt_t * crt);

ARGUMENTS

gnutls_pcert_st * pcert
    The pcert structure.

gnutls_x509_crt_t * crt
    An initialized gnutls_x509_crt_t.

DESCRIPTION
Converts the given gnutls_pcert_t type into a gnutls_x509_crt_t. This function only works if the type of pcert is GNUTLS_CRT_X509. When successful, the value written to crt must be freed with gnutls_x509_crt_deinit() when no longer needed.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.4.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2015 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/